Page MenuHomePhabricator

ApiCheckToken doesn't have tests
Closed, ResolvedPublic

Description

In MediaWiki core, the ApiCheckToken module doesn't have any tests. It's a fairly simple module that allows for verification of csrf tokens. You will need to create a ApiCheckTokenTest test case that implements tests for the module.

If you're not already familiar with PHPUnit tests, https://www.mediawiki.org/wiki/Manual:PHP_unit_testing/Writing_unit_tests has links to some good material on the basics of testing. I would also recommend looking at other tests in the tests/phpunit/includes/api directory of MediaWiki core for an example of how we currently test API modules.

I'll mentor this for Google-Code-in-2017

Event Timeline

Legoktm created this task.Dec 29 2017, 9:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 29 2017, 9:06 AM
Aklapper updated the task description. (Show Details)Dec 29 2017, 4:23 PM
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Dec 30 2017, 5:10 PM
nikitavbv added a subscriber: nikitavbv.

I will add test for this!

Change 401192 had a related patch set uploaded (by Phantom42; owner: Phantom42):
[mediawiki/core@master] Add tests for ApiCheckToken

https://gerrit.wikimedia.org/r/401192

Change 401192 merged by jenkins-bot:
[mediawiki/core@master] Add tests for ApiCheckToken

https://gerrit.wikimedia.org/r/401192

Legoktm closed this task as Resolved.Jan 1 2018, 1:40 AM